<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>HITML Introduction</title>
</head>

<body>
    <!-- headings are titles for our page. They are added to show emphasis, to show and attract the users attention to our text. There are 6 heading sizes. They are different in sizes to differentiate importance -->
    <h1>Heading 1</h1>
    <h2>Heading 2</h2>
    <h3>Heading 3</h3>
    <h4>Heading 4</h4>
    <h5>Heading 5</h5>
    <h6>Heading 6</h6>
    <!-- hr is a horizontal rule. It adds a horizontal line that also breaks the line. -->
    <hr>
    <p>Welcome to Zuitt!</p>
    <!-- hr, headings and and paragraphelements occupy the full width of its parent. They also break the line and therefore is situated and displayed on top of other elements. These are what we call Block Elements. -->
    <!-- span elements much like the paragraph element is used to contain text. However,span elements are inline elements. In which they only occupy the total width of its content and does not break the line. They are display beside each otehr. -->
    <span>I am in a span!</span>
    <!-- br are elements which creates a line break especially used for breaking the line for text or for inline elements like span. -->
    <br>
    <span>I am also in a span</span>
    <!-- elements that do not require closing tags like br, hr and meta are called Self-Closing Tags -->
    <!-- hr occupies the whole width of its parent, it is a block element. br is a special case, even though it breaks the line, it actually is considered as an inline element. -->
    <hr>
    <!-- paragraph elements contain other elements and text. However, it is hightly discouraged to add elements such as images, headings in the paragraph element. Paragraph elements are used for paragraphs. -->
    <p>Zuitt is an <strong>Online Coding Bootcamp</strong> where will learn a lot of things.
        <br>Let's enumerate all the things that will make us <em>Full-Stack Web Developers.</em></p>:
    <h3>What we will learn in our bootcamp:</h3>
    <ul>
        <!-- in sublime,we can easily copy a line by using the shortcut command + shift + d -->
        <!-- ul tags create an unordered list wherein the list items are preceded by a bullet point. This shows that listed items are in no particular order. -->
        <!-- li tags creates list items. They can be precedeed by bullet point if they are in an unordered list or ul. They can be preceded by a number if they are in an ordered list. -->
        <!-- ol tags create an ordered list wherein the list items are preceded by a number. This shows that the list items are in particular order. -->
        <li>Languages</li>
        <ol>
            <li>HTML</li>
            <li>CSS</li>
            <li>Javascript</li>
        </ol>
        <li>Frameworks and Libraries</li>
        <ol>
            <li>Bootstrap</li>
            <li>ExpressJS</li>
            <li>ReactJS</li>
        </ol>
        <li>Tools</li>
        <ol>
            <li>Git</li>
            <li>Gitlab</li>
            <li>Sublime Text</li>
            <li>Postman</li>
            <li>Google Chrome</li>
            <li>Other Tools</li>
            <ul>
                <li>MongoDB</li>
                <li>Robo3T</li>
            </ul>
        </ol>
    </ul>
    <!-- 
		Mini-Activity: 

		After the unordered list: 
		
		Add a horizontal rule. 
		Add the largest heading with your name.
		Add a paragraph element with a short introduction of yourself. (2 sentences)
		Add another horizontal rule 
		Add the 3rd largest heading with the following text: 
		My Hobbies 
		Add an unordered list with list items for each of your hobbies (3) 
    -->
    <hr>
    <h1>Masahiro Kaga</h1>
    <p>I am crazy about snowboarding.</p>
    <p>I live in Vancouver, Canada</p>
    <hr>
    <h3>My Hobbies</h3>
    <ul>
        <li>Snowboard</li>
        <li>Volleyball</li>
        <li>Baseball</li>
    </ul>
</body>

</html>